﻿using System;
using System.Collections.Generic;
using System.IO;

namespace Paladyne.FileSearch.Core
{
    /// <summary>
    /// Abstraction for file searcher that can optionally use ISearchModule
    /// </summary>
    public interface ISearcher
    {
        ISearchModule SearchModule { get; set; }
        IEnumerable<FileInfo> Search(SearchParameters parameters, IEnumerable<Predicate<FileInfo>> conditions);
    }
}