﻿using System.Windows;
using Paladyne.FileSearch.Core;
using Paladyne.FileSearch.UI.Properties;

namespace Paladyne.FileSearch.UI
{
    /// <summary>
    /// Shows messages using MessageBox
    /// </summary>
    internal class DefaultMessageShower : IDisplayMessage
    {
        #region Implementation of IDisplayMessage

        /// <summary>
        /// Show information message
        /// </summary>
        /// <param name="message"></param>
        public void ShowMessage(string message)
        {
            MessageBox.Show(message, Resources.DefaultMessageDisplayer_ShowMessage_For_your_information,
                            MessageBoxButton.OK, MessageBoxImage.Information);
        }

        /// <summary>
        /// Show error message
        /// </summary>
        /// <param name="message"></param>
        public void ShowError(string message)
        {
            MessageBox.Show(message, Resources.DefaultMessageDisplayer_ShowError_Error, MessageBoxButton.OK,
                            MessageBoxImage.Error);
        }

        #endregion
    }
}